Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceDeviceType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType
ru.bitel.bgbilling.modules.voice.common.bean.VoiceDeviceType

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class VoiceDeviceType extends DeviceType
Bean для типа устройства модуля Voice. Можно использовать как справочник: getContext().getDirectory( VoiceDeviceType.class )...

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

  `MGMT_TYPE_BGRADIUS, MGMT_TYPE_OTHER, MGMT_TYPE_SNMP, MGMT_TYPE_SSH, MGMT_TYPE_TELNET`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceDeviceType()`
  `VoiceDeviceType(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMediationHandlerClass()`
  Получение класса-обработчика логов АТС.
  `String`
  `getMediationRuntimeHandlerClass()`
  `String`
  `getOmHandlerClass()`
  Получение класс-обработчика активации аккаунта модуля voice
  `boolean`
  `isNas()`
  `void`
  `setMediationHandlerClass(String mediationHandlerClass)`
  Установка класса-обработчика логов АТС.
  `void`
  `setMediationRuntimeHandlerClass(String mediationRuntimeHandlerClass)`
  `void`
  `setNas(boolean nas)`
  `void`
  `setOmHandlerClass(String omHandlerClass)`
  Установка класса-обработчика

  ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.common.bean.DeviceType

  `getActiveConfigId, getComment, getConfig, getDeviceEntitySpecId, getDeviceManagerClass, getManagmentType, getProtocolHandlerClass, getSaHandlerClass, getServiceActivationType, isSource, setActiveConfigId, setComment, setConfig, setDeviceEntitySpecId, setDeviceManagerClass, setManagmentType, setProtocolHandlerClass, setSaHandlerClass, setServiceActivationType, setSource`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceDeviceType

    public VoiceDeviceType()

  - ### VoiceDeviceType

    public VoiceDeviceType(int id, String title)

- ## Method Details

  - ### getMediationHandlerClass

    public String getMediationHandlerClass()
    Получение класса-обработчика логов АТС.
    Returns:
      класс-обработчик логов.

  - ### setMediationHandlerClass

    public void setMediationHandlerClass(String mediationHandlerClass)
    Установка класса-обработчика логов АТС.
    Parameters:
      `mediationHandlerClass` - класс-обработчик логов.

  - ### isNas

    public boolean isNas()

  - ### setNas

    public void setNas(boolean nas)

  - ### getOmHandlerClass

    public String getOmHandlerClass()
    Получение класс-обработчика активации аккаунта модуля voice
    Returns:

  - ### setOmHandlerClass

    public void setOmHandlerClass(String omHandlerClass)
    Установка класса-обработчика
    Parameters:
      `omHandlerClass` -

  - ### getMediationRuntimeHandlerClass

    public String getMediationRuntimeHandlerClass()

  - ### setMediationRuntimeHandlerClass

    public void setMediationRuntimeHandlerClass(String mediationRuntimeHandlerClass)